/**************************************************************************\
*
* Copyright (c)  炫彩界面库. All Rights Reserved.
*
* 炫彩界面库 - 官方网站 : http://www.xcgui.com
*
\**************************************************************************/
#include "stdafx.h"



//测试普通窗口
//按钮事件响应
BOOL CALLBACK My_EventBtnClick(HELE hEle,HELE hEventEle)
{
	//弹出消息框
	XMessageBox(hEle,L"你点击了按钮  123123123124324234234234",L"提示",XMB_OK | XMB_CANCEL);
	return FALSE;
}

int APIENTRY _tWinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPTSTR lpCmdLine, int nCmdShow)
{
	XInitXCGUI();
	
	HWINDOW hWindow=XWnd_CreateWindow(0,0,400,300,L"炫彩界面库-窗口");//创建窗口
	if(hWindow)
	{
		HELE hButton=XBtn_Create(10,10,80,25,L"按钮",hWindow);//创建按钮
		XEle_RegisterEvent(hButton,XE_BNCLICK,My_EventBtnClick);//注册按钮点击事件

		XWnd_ShowWindow(hWindow,SW_SHOW);//显示窗口

		XRunXCGUI();
	}
	return 0;
}


/////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////

/*
//测试透明窗口
HWINDOW hWindow=NULL;
BOOL CALLBACK OnButtonClick1(HELE hEle,HELE hEventEle)
{
    XWnd_SetTransparentFlag(hWindow,XC_WIND_TRANSPARENT_SHAPED);//启动透明窗口
    return TRUE;
}
BOOL CALLBACK OnButtonClick2(HELE hEle,HELE hEventEle)
{
    XWnd_SetTransparentFlag(hWindow,XC_WIND_TRANSPARENT_NO); //关闭透明窗口
    return TRUE;
}

int APIENTRY _tWinMain(HINSTANCE hInstance,  HINSTANCE hPrevInstance, LPTSTR lpCmdLine, int nCmdShow)
{
    XInitXCGUI(); //初始化界面库

    hWindow=XWnd_CreateWindow(0,0,282,250,L"炫彩界面库-窗口");
    XWnd_SetImageNC(hWindow,XImage_LoadFile(L"..\\演示C风格(VS2008)\\Demo\\image\\bk.png")); //设置窗口背景图片
    XWnd_EnableImageNCStretch(hWindow,TRUE);
    XWnd_SetTransparentAlpha(hWindow,180); //设置透明度

    HELE hButton1=XBtn_Create(20,20,80,22,L"启动透明",hWindow); //创建按钮
    XEle_SetBkTransparent(hButton1,TRUE);
    XEle_RegisterEvent(hButton1,XE_BNCLICK,OnButtonClick1);

    HELE hButton2=XBtn_Create(20,50,80,22,L"关闭透明",hWindow); //创建按钮
    XEle_SetBkTransparent(hButton2,TRUE);
    XEle_RegisterEvent(hButton2,XE_BNCLICK,OnButtonClick2);

    XEdit_Create(20,80,100,20,hWindow); //创建编辑框

    XWnd_ShowWindow(hWindow,SW_SHOW); //显示窗口
    XRunXCGUI(); //运行

    return 0;
}*/

////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////

/*
//IE控件测试
HXCGUI hWeb=NULL;
BOOL CALLBACK OnButtonClick_OpenURL(HELE hEle,HELE hEventEle)
{
	XWeb_OpenURL(hWeb,L"http://www.baidu.com/"); //打开百度
	return FALSE;
}

BOOL CALLBACK OnButtonClick_Destroy(HELE hEle,HELE hEventEle)
{
	XWeb_Destroy(hWeb); //销毁浏览器控件
	return FALSE;
}

int APIENTRY _tWinMain(HINSTANCE hInstance,  HINSTANCE hPrevInstance, LPTSTR lpCmdLine, int nCmdShow)
{
	XInitXCGUI(); //初始化界面库
	HWINDOW hWindow=XWnd_CreateWindow(0,0,420,310,L"炫彩界面库-窗口");

	HELE hButtonOpenURL=XBtn_Create(320,10,70,22,L"打开百度",hWindow);
	HELE hButtonDestroy=XBtn_Create(320,50,70,22,L"销毁",hWindow);

	hWeb=XWeb_Create(hWindow,10,10,300,250); //浏览器控件

	XEle_RegisterEvent(hButtonOpenURL,XE_BNCLICK,OnButtonClick_OpenURL);
	XEle_RegisterEvent(hButtonDestroy,XE_BNCLICK,OnButtonClick_Destroy);

	XWnd_ShowWindow(hWindow,SW_SHOW); //显示窗口
	XRunXCGUI(); //运行

	return 0;
}
*/

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////

/*
//测试FLASH
HWINDOW hWindow=NULL;   //主窗口
HWINDOW hFlashWnd=NULL; //FLASH窗口
HXCGUI  hFlash=NULL; //FLASH控件
BOOL CALLBACK OnButtonClick_Open(HELE hEle,HELE hEventEle)
{
	HWND hWnd=XWnd_GetHWnd(hWindow);
	hFlashWnd=XWnd_CreateWindowEx(NULL,L"XCGUI",L"flash",WS_CHILD,10,30,200,250,hWnd,0); //创建FLASH依赖窗口
	hFlash=XFlash_Create(hFlashWnd); //创建FLASH控件

	wchar_t path[MAX_PATH]={0}; //flash 文件路径
	GetCurrentDirectory(MAX_PATH,path);
	wcscat_s(path,L"\\flash.swf");

	XFlash_OpenFlashFile(hFlash,path); //打开FLASH文件
	XWnd_ShowWindow(hFlashWnd,SW_SHOW);
	return FALSE;
}

BOOL CALLBACK OnButtonClick_Destroy(HELE hEle,HELE hEventEle)
{
	XFlash_Destroy(hFlash); //销毁FLASH控件元素
	XWnd_CloseWindow(hFlashWnd); //销毁FLASH依赖窗口
	return FALSE;
}

int APIENTRY _tWinMain(HINSTANCE hInstance,  HINSTANCE hPrevInstance, LPTSTR lpCmdLine, int nCmdShow)
{
	XInitXCGUI(); //初始化界面库

	hWindow=XWnd_CreateWindow(0,0,400,300,L"炫彩界面库-窗口");
	
	HELE hButtonOpen=XBtn_Create(300,10,70,22,L"打开",hWindow);
	HELE hButtonDestroy=XBtn_Create(300,70,70,22,L"销毁",hWindow);

	XEle_RegisterEvent(hButtonOpen,XE_BNCLICK,OnButtonClick_Open);
	XEle_RegisterEvent(hButtonDestroy,XE_BNCLICK,OnButtonClick_Destroy);

	XWnd_ShowWindow(hWindow,SW_SHOW); //显示窗口
	XRunXCGUI(); //运行

	return 0;
}
*/
